# $Revision: 1.14 $, $Date: 2005/11/06 13:33:39 $
Summary:	System-wide profiler
Summary(pl):	Oglnosystemowy profiler
Name:		oprofile
Version:	0.9.1
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/oprofile/%{name}-%{version}.tar.gz
# Source0-md5:	c25a05406e30e81a6afbd3264191fa37
URL:		http://oprofile.sourceforge.net/
BuildRequires:	popt-devel
BuildRequires:	qt-devel
BuildRequires:	rpmbuild(macros) >= 1.217
Conflicts:	kernel < 2.6
ExclusiveArch:	alpha arm %{ix86} ia64 mips ppc ppc64 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	oprofile_arch	%(echo "%{_target_base_arch}" | sed -e 's#x86_64#x86-64#')

%description
It consists of a kernel driver and a daemon for collecting sample
data, and several post-profiling tools for turning data into
information.

OProfile leverages the hardware performance counters of the CPU to
enable profiling of a wide variety of interesting statistics, which
can also be used for basic time-spent profiling. All code is profiled:
hardware and software interrupt handlers, kernel modules, the kernel,
shared libraries, and applications.

%description -l pl
Pakiet skada si ze sterownika dla jdra oraz demona zbierajcego
prbki danych, a take kilku narzdzi do postprocesingu,
przeksztacajcych dane na informacje.

OProfile utrzymuje liczniki wydajnoci sprztu dla CPU, aby umoliwi
profilowanie wielorakich interesujcych statystyk, ktrych mona
uywa take do podstawowego profilowania czasu wykonywania.
Profilowany jest cay kod: procedury obsugi przerwa sprztowych i
programowych, moduy jdra, jdro, biblioteki wspdzielone oraz
aplikacje.

%package gui
Summary:	GUI for OProfile
Summary(pl):	Graficzny interfejs uytkownika do OProfile
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gui
GUI for OProfile.

%description gui -l pl
Graficzny interfejs uytkownika do OProfile.

%prep
%setup -q

%build
%configure \
	--with-kernel-support \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO doc/*.html
%attr(755,root,root) %{_bindir}/*
%exclude  %{_bindir}/oprof_start
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{oprofile_arch}
%{_datadir}/%{name}/rtc
%{_datadir}/%{name}/stl.pat
%{_mandir}/man1/*.1*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/oprof_start

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: oprofile.spec,v $
Revision 1.14  2005/11/06 13:33:39  arekm
- rel 2; fix amd64 build

Revision 1.13  2005/08/03 16:58:07  qboosh
- we don't force kernel package in userspace packages

Revision 1.12  2005/08/01 12:58:01  pluto
- adapterized, R(kernel >= 2.6) forced.

Revision 1.11  2005/08/01 12:43:46  pluto
- exclusive arch.

Revision 1.10  2005/08/01 12:05:22  pluto
- updated to 0.9.1.

Revision 1.9  2005/03/21 23:32:32  qboosh
- updated to 0.8.2

Revision 1.8  2004/10/13 11:17:58  darekr
- updated to 0.8.1

Revision 1.7  2004/09/03 00:47:23  arekm
- updated to 0.8

Revision 1.6  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.5  2003/11/15 20:34:43  qboosh
- updated to 0.7.1

Revision 1.4  2003/10/25 22:56:39  qboosh
- updated to 0.7, separated gui, build for Linux 2.6

Revision 1.3  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.2  2003/07/14 19:00:14  qboosh
- pl, removed non-existing BR (binutils-devel)

Revision 1.1  2003/07/11 22:46:19  arekm
- unfinished unfortunately
